Subject: Re: setup drops mount?
From: Earnie Boyd <[email-masked]>
To: DJ Delorie <[email-masked]>
Cc: [email-masked], [email-masked]
Date: Mon, 13 Nov 2000 11:32:53 -0800 (PST)

--- DJ Delorie <[email-masked]> wrote:
> 
> > No, but it would know if it had to create a new root directory or
> > even a new /etc/setup directory or even a new
> > /etc/setup/installed.db file.  The point is, if this is an update
> > then the mount points are already set and there is no need to
> > unmount and remount.
> 
> No, I meant setup isn't a cygwin app 
Yep, knew that.

> it puts things in c:\cygwin\bin, NOT /bin.  
Yep, knew that too, I just didn't phrase correctly.

> If the user mounts d:\foo\bin to /bin, setup
If the user has d:\foo mounted then this is an indication that he is updating
and not installing.  He would chose d:\foo as the root mount, actually setup
somehow knows this already and puts it as the default root mount.

> will STILL put files in c:\cygwin\bin.
Only if the user chooses c:\cygwin as the root mount.

> 
> It must remove those mounts so that it knows that when it extracts the
> files, they end up where the user will see them.
In an update situation, it doesn't need to remove them.  The user should still
be able to find the files in the currently defined set of mount points.

> 
> To solve this, setup would have to iterate through the mount table and
> build a translation list for the untar logic in install.cc.
Assuming what?  That the bin directory isn't relative to the user selected root
mount path?  Or that the mounted bin directory is actually not contained within
the d:\foo (where d:\foo is the user chosen root mount path) directory but is
mounted somewhere else?  The way setup operates today, you're screwed if you
move the bin directory anyway and try to update.  So, maybe if this is an
update the translation should happen anyway.  But, ...

> 
> But, consider also that setup doesn't respect symlinks.  I've seen one
> case where a user had /usr -> /cygdrive/d/usr and setup didn't like
> it.
Users who do this are at the mercy of their own actions.

Cheers,

=====
Earnie Boyd
mailto:[email-masked]

---         <http://earniesystems.safeshopper.com>         ---
--- Cygwin: POSIX on Windows <http://gw32.freeyellow.com/> ---
---   Minimalist GNU for Windows <http://www.mingw.org/>   ---

__________________________________________________
Do You Yahoo!?
Yahoo! Calendar - Get organized for the holidays!
http://calendar.yahoo.com/

--
Want to unsubscribe from this list?
Send a message to [email-masked]